LibreOffice: InstanceLocker Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
InstanceLocker Service Referencepublished

The main task of this service is to prevent closing, terminating and/or etc. More...

Inheritance diagram for InstanceLocker:

## Public Member Functions
| InstanceLockerCtor1 ([in] com::sun::star::uno::XInterface xInstance, [in] long nActions) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::frame::DoubleInitializationException, ::com::sun::star::uno::Exception )
| is used to initialize the object on it's creation.
| InstanceLockerCtor2 ([in] com::sun::star::uno::XInterface xInstance, [in] long nActions, [in] XActionsApproval xApprove) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::frame::DoubleInitializationException, ::com::sun::star::uno::Exception )
| is used to initialize the object on it's creation.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

The main task of this service is to prevent closing, terminating and/or etc.

of controlled object.

After creation the service adds a listener of requested type ( close, terminate and/or etc. ) to the controlled object and let the listener throw related veto exception until the service is disposed.

## Member Function Documentation

## ◆ InstanceLockerCtor1()

InstanceLockerCtor1 | ( | [in] com::sun::star::uno::XInterface | xInstance,
|  | [in] long | nActions
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::frame::DoubleInitializationException,
|  | ::com::sun::star::uno::Exception
| ) |  |

is used to initialize the object on it's creation.

Parameters

  xInstance | the controlled object. Must implement the related to the requested actions broadcaster interface.
  nActions | specifies the actions that should be done ( prevent closing, prevent termination and/or etc. ). It must not be empty and can currently contain following values or their combination: Actions::PREVENT_CLOSE and Actions::PREVENT_TERMINATION.

## ◆ InstanceLockerCtor2()

InstanceLockerCtor2 | ( | [in] com::sun::star::uno::XInterface | xInstance,
|  | [in] long | nActions,
|  | [in] XActionsApproval | xApprove
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::frame::DoubleInitializationException,
|  | ::com::sun::star::uno::Exception
| ) |  |

is used to initialize the object on it's creation.

Parameters

  xInstance | the controlled object. Must implement the related to the requested actions broadcaster interface.
  nActions | specifies the actions that should be done ( prevent closing, prevent termination and/or etc. ). It must not be empty and can currently contain following values or their combination: Actions::PREVENT_CLOSE and Actions::PREVENT_TERMINATION.
  xApprove | The object implementing XActionsApproval interface. If this parameter is an empty reference the object will proceed with the specified in the first parameter action until it is disposed ( just like in the case of the first constructor ). If the instance is provided, it will be asked for approval each time before proceeding with the action ( the action is specified using string and can take following values in this case: "PreventClose", "PreventTermination" ).

The documentation for this service was generated from the following file:

- com/sun/star/embed/InstanceLocker.idl